#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct aa{
    int a;
    int* b;
} aaa;

int main()
{
    FILE* f = fopen("CDImage.cue", "r");
    char b[400];
    char c[400];
    int hh,mm,ss;
    aaa* a = (aaa*)malloc(sizeof(aaa));
    a -> b = (int*)malloc(sizeof(b) * 10);
    a -> b[5] = 100;
    fscanf(f, "%[^\n]\n", b);
    printf("%s\n", b);
    if(strncmp(b, "iERFORMER", 9) == 0)
    printf("%s\n", strstr(b, " \"") + 1);
    strcpy(b, "INDEX 01 11:13:05");
    printf("%s\n", b);
    sscanf(b, "INDEX 01 %d:%d:%d", &hh, &mm ,&ss);
    printf("%d, %d, %d\n", hh, mm, ss);

    fclose(f);
    return 0;
}

